Steps

When you upgrade to PostgreSQL 11 on Linux systems, you need to be logged in as the root user because multiple user identifiers are needed during the upgrade process. 

Although the upgrade process requires being logged in as the root user, PostgreSQL still runs as the non-root user of which the previous version was installed.


Still have questions? We can help. Submit a case to Technical Support.

Last Modified On: November 14, 2019